# openssl_decrypt

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

openssl_decrypt — Desencripta datos

### Descripción

openssl_decrypt(
string `$data`,
string `$method`,
string `$password`,
int `$options` = 0,
string `$iv` = ""
): string

Toma una cadena codificada en bruto o mediante base64 y la desencripta usando un método y una clave.

Advertencia

Esta función no está documentada actualmente, solamente se encuentra disponible la lista de parámetros.

### Parámetros

`data`

  Los datos.

`method`

  El método de cifrado.

`password`

  La contraseña.

`options`

  `options` puede ser una de las constantes `OPENSSL_RAW_DATA`, `OPENSSL_ZERO_PADDING`.

`iv`

  Un Vector de Inicialización no NULL.

### Valores devueltos

La cadena desencriptada si se tuvo éxito o `false` en caso de error.

### Errores/Excepciones

Emite un error de nivel `E_WARNING` si se pasa un algoritmo de cifrado desconocido mediante el parámetro `method`.

Emite un error de nivel `E_WARNING` si se le pasa un valor vacío mediante en parámetro `iv`.

### Historial de cambios

Versión | Descripción
--- | ---
5.3.3 | Se añadió el parámetro `iv`.
5.4.0 | `raw_output` se cambió a `options`.

### Ver también

- openssl_encrypt() - Cifra datos